FUNCTION::KERNEL_BUF(3stap)

NAME
function::kernel_buffer_quoted_error - Retrieves and quotes buffer from kernel space

SYNOPSIS

    kernel_buffer_quoted_error:string(addr:long,inlen:long,outlen:long)

ARGUMENTS

addr
    the kernel space address to retrieve the buffer from

inlen
    the exact length of the buffer to read

outlen
    the maximum length of the output string

DESCRIPTION

Reads inlen characters of a buffer from the given kernel space memory address, and returns up to outlen characters, where any ASCII characters that are not printable are replaced by the corresponding escape sequence in the returned string. Note that the string will be surrounded by double quotes. On the rare cases when kernel space data is not accessible at the given address, an error is thrown.

SEE ALSO
tapset::conversions(3stap)